# RPiGPIO.makertools

Python library for using the GPIO on RaspberryPi with examples.

# Installation
To install the RPiGPIO.makertools library, you first have to clone the git repo:
```
git clone https://git.privacynerd.de/dotmakertools/RPiGPIO.makertools.git
```
After this is done, cd into RPiGPIO.makertools and type:
```
python3 setup.py install
```
This will copy the required package files to your python installation point (or, in case of a virtual environment, to the _lib_ directory of the env folder) and install all requirements.

When you want to use devices which communicate over I²C, you probably first have to enable with `raspi-config`:
- _Interface Options_
- _I2C_
- **Yes** and **OK**

That's it! Now you can use the library in Python by importing it:
```python3
import RPiGPIOmakertools
```